Extending Qt Creator Manual | EnvironmentAspectWidget

Extending Qt Creator Manual 4.5.2

# EnvironmentAspectWidget Class

(ProjectExplorer::EnvironmentAspectWidget)

Inherits: | ProjectExplorer::RunConfigWidget

- List of all members, including inherited members

## Public Functions

| EnvironmentAspectWidget(EnvironmentAspect *aspect, QWidget *additionalWidget = nullptr)
QWidget * | additionalWidget() const
virtual EnvironmentAspect * | aspect() const

## Reimplemented Public Functions

virtual QString | displayName() const override

- 1 public function inherited from ProjectExplorer::RunConfigWidget

### Additional Inherited Members

- 1 signal inherited from ProjectExplorer::RunConfigWidget

## Member Function Documentation

### EnvironmentAspectWidget::EnvironmentAspectWidget(EnvironmentAspect *aspect, QWidget *additionalWidget = nullptr)

Default constructs an instance of EnvironmentAspectWidget.

### QWidget *EnvironmentAspectWidget::additionalWidget() const

### `[virtual]` EnvironmentAspect *EnvironmentAspectWidget::aspect() const

### `[override virtual]` QString EnvironmentAspectWidget::displayName() const